Security Lab

Переполнение буфера в SCO OpenServer Xsco

Дата публикации:13.06.2002
Дата изменения:17.10.2006
Всего просмотров:1290
Опасность:
Наличие исправления:
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты:
Описание: Приложение SCO OpenServer Xsco установлено как setuid root. В программе обнаружено переполнение буфера, позволяющее выполнять произвольный код с root привилегиями.

Пример: bash-2.03$ ./Xsco :1 -co -crt /dev/console

Уязвимость обнаружена в SCO/Caldera OpenServer 5.x

Ссылки: SCO OpenServer Xsco Heap Overflow